- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Class Class Reference

Inherited by Object::ClazzObject, and Level::LevelClass.

List of all members.

## Public Member Functions
virtual | ~Class ()
virtual ObjectPtr | newInstance () const
LogString | toString () const
virtual LogString | getName () const =0
## Static Public Member Functions
static const Class & | forName (const LogString &className)
static bool | registerClass (const Class &newClass)
## Protected Member Functions
| Class ()

## Constructor & Destructor Documentation

virtual ~Class | ( |  | ) | `[virtual]`

Class | ( |  | ) | `[protected]`

## Member Function Documentation

static const Class& forName | ( | const LogString & | className | ) | `[static]`

virtual LogString getName | ( |  | ) | const`[pure virtual]`

| Implemented in Object::ClazzObject, and Level::LevelClass.

virtual ObjectPtr newInstance | ( |  | ) | const`[virtual]`

static bool registerClass | ( | const Class & | newClass | ) | `[static]`

LogString toString | ( |  | ) | const

The documentation for this class was generated from the following file:

- class.h